Bug 175551

Summary: [2tb] Seagate 2TB USB extern hard disk have errors with FreeBSD
Product: Base System Reporter: Harald Langner <development>
Component: usbAssignee: freebsd-usb mailing list <usb>
Status: Open ---    
Severity: Affects Only Me    
Priority: Normal    
Version: Unspecified   
Hardware: Any   
OS: Any   

Description Harald Langner 2013-01-24 22:20:00 UTC
it seems to be a driver sw-bug

I had tried to use an external Seagate 2 TB USB 3.0 hard disk, and want
to format the third partition on it with FreeBSD. But I had have no luck.
So I step to the forum to get help. But no help was possible. It seems
to be a hardware problem between this Seagate Plus Desktop Drive:
http://www.seagate.com/external-hard-drives/desktop-hard-drives/backup-plus-desk/
and freeBSD.

The last poster in the forum http://forums.freebsd.org/showthread.php?t=36938
commend me to post a problem report - so I want to do here.

I had try different things (see the post above). Everey time the USB-Disk
hangs up. On Windows I got no problems with this Seagate USB drive.

I have tried serval time to format a bevore created partition with freeBSD - no luck:

# newfs /dev/da0s3
/dev/da0s3: 267264.0MB (547356656 sectors) block size 32768, fragment size 4096
        using 362 cylinder groups of 740.00MB, 23680 blks, 47360 inodes.
super-block backups (for fsck -b #) at:
 192, 1515712, 3031232, 4546752, 6062272, 7577792, 9093312, 10608832, 12124352, 13639872, 15155392,
 16670912, 18186432, 19701952, 21217472, 22732992,
 24248512, 25764032, 27279552, 28795072, 30310592, 31826112, 33341632, 34857152, 36372672, 37888192,
 39403712, 40919232, 42434752, 43950272, 45465792,
 46981312, 48496832, 50012352, 51527872, 53043392, 54558912, 56074432, 57589952, 59105472, 60620992, ---Here it hangs - and I have to switch off the PC.


I thing I give up with this Seagte USB device. I had also created a FAT32
partition (in the 3. Partition as described in the post) with a second
Windows PC. Copy some data on it and try to mount it with the freeBSD PC. 

# mount -t msdosfs -o large /dev/da0s3 /mnt/bckup
Same Problem - it hangs:

Here are the error message that cames up, when it hangs, on console:
(da0:umass-sim0:0:0:0): READ(10). CDB: 28 0 c8 32 5d 28 0 0 8 0
(da0:umass-sim0:0:0:0): CAM status: CCB reques completed with an error
(da0:umass-sim0:0:0:0): Retrying command
ugen0.2: <Seagate> at usbus0 (disconnected)
umass0: at uhub0, port 1, addr 2 (disconnected)
(da0:umass-sim0:0:0:0): READ(10). CDB: 28 0 c8 32 5d 28 0 0 8 0
(da0:umass-sim0:0:0:0): CAM status: CCB reques completed with an error
(da0:umass-sim0:0:0:0): Retrying command
(da0:umass-sim0:0:0:0): READ(10). CDB: 28 0 c8 32 5d 28 0 0 8 0
(da0:umass-sim0:0:0:0): CAM status: Section Timeout
(da0:umass-sim0:0:0:0): Retrying command
(da0:umass-sim0:0:0:0): READ(10). CDB: 28 0 c8 32 5d 28 0 0 8 0
(da0:umass-sim0:0:0:0): CAM status: Section Timeout
(da0:umass-sim0:0:0:0): Retrying command
(da0:umass-sim0:0:0:0): lost device - 1 outstanding, 2 refs
(da0:umass-sim0:0:0:0): outstanding 0
(pass3:da0:umass-sim0:0:0:0): passdevgonecb devfs entry is gone

Here the system hang up. I have to press the power knob for a new boot.

I found in the sources cam.c where the messages seems to be made:
http://svn.freebsd.org/base/user/eri/pf45/head/sys/cam/cam.c
and this info: http://bintree.net/freebsd/de/de1/cam_8c.html. 
But i dislike to grubber deeper, what it could be. Maybe my information
about the error will give the developer of cam.c (and code around) some
ideas how Seagates hard disks can get to work with freeBSD.

If there are any questions left, please ask me.

Whish you all best
Harald

Fix: 

take another USB drive
How-To-Repeat: Take the "Seagate Plus Desktop Drive" - try to format it - or copy some
data on it, use it. I have buyed this Seagate Plus Desktop because it
should work also with MAC. And Mac kernel is a freeBSD System - right?
But maybe MAC and Windows have different driver. Also it was written that
the Seagate should be upwarts compatible. Because my old PC (freeBSD)
has only USB 2.0 or USB 1.0.
Comment 1 Hans Petter Selasky 2013-01-25 22:32:32 UTC
Hi,

1) Does the drive have separate power connected?
2) Have you tried using the disk at USB 2.0 by disabling USB 3.0 in the BIOS
3) Have you tried setting "hw.usb.umass.throttle" to 1,4 or 16, which is 
available in 9-stable, when "options USB_DEBUG" is enable.

The CAM layer hang you are experiencing is possibly fixed in 10-current. It is 
not a USB fault.

--HPS
Comment 2 Harald Langner 2013-01-30 15:54:32 UTC
Hello Hans Petter,
thank you for your response. I want answer your questions - sorry for =
the
late reply:

1) Does the drive have separate power connected?
A: Yes

2) Have you tried using the disk at USB 2.0 by disabling USB 3.0 in the =
BIOS
A: I used for this a very old PC, a "Hewlett-Packard HP Vectra VL60 with
Intel Pentium III (Copermine) 733Mhz / 256MB RAM / Mainboard D8611-60001
Board-S/N:FR02632024 / PhoenixBOIS 4.0 Release6.0.L /" 1985-2000 Hewellt
Packard Rev, Version: HY.01.07 (15 Jan 2002)" It has no USB 3.0, nor can
boot from USB.

3) Have you tried setting "hw.usb.umass.throttle" to 1,4 or 16, which is
available in 9-stable, when "options USB_DEBUG" is enable.
A: No - I have not known that. But I believe that my pc is more to slow =
than
to fast.

4) "The CAM layer hang you are experiencing is possibly fixed in
10-current."
-> fine, I will give it a try when 10-current becomes 10-release.
Thank you for give me the information that it is a "CAM layer hang" -
whatever this is.
So it is not my fault.

I now used another (older) external 320 GB USB hard drive. With that I =
get
no problems (making partitions, formatting,..)


With best regards,
Harald Langner

_________________________________________________________________________=
___
_____
Dipl.-Ing. (FH) Harald E. Langner
- Software-Developer -
eMail: mailto:Harald.Langner@web.de
Url:      http://www.swdevil.de
          http://www.langner.net
Phone:   +49 (69) 383 575
Telefax: +49 (69) 3877 8692
Mobile:=A0 +49 (179) 617 90 80

Address:
Auf der Beun, No. 20
D - 65 933=A0 Frankfurt at Main
EUROPE (Germany)
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2017-12-31 07:59:43 UTC
For bugs matching the following criteria:

Status: In Progress Changed: (is less than) 2014-06-01

Reset to default assignee and clear in-progress tags.

Mail being skipped